net.minecraft.stats

## Class StatList

- java.lang.Object
- - net.minecraft.stats.StatList

-     public class StatList
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.List` | `allStats`
    `static StatBase` | `damageDealtStat`
    `static StatBase` | `damageTakenStat`
    `static StatBase` | `deathsStat`
    `static StatBase` | `distanceByBoatStat`
    `static StatBase` | `distanceByMinecartStat`
    `static StatBase` | `distanceByPigStat`
    `static StatBase` | `distanceClimbedStat`
    `static StatBase` | `distanceDoveStat`
    `static StatBase` | `distanceFallenStat`
    `static StatBase` | `distanceFlownStat`
    `static StatBase` | `distanceSwumStat`
    `static StatBase` | `distanceWalkedStat`
    `static StatBase` | `dropStat`
    `static StatBase` | `field_151183_A`
    `static StatBase` | `field_151184_B`
    `static StatBase` | `field_151185_q`
    `static StatBase` | `field_151186_x`
    `static StatBase` | `fishCaughtStat`
    `static java.util.List` | `generalStats`
    `static java.util.List` | `itemStats`
    `static StatBase` | `jumpStat`
    `static StatBase` | `leaveGameStat`
    `static StatBase[]` | `mineBlockStatArray`
    `static StatBase` | `minutesPlayedStat`
    `static StatBase` | `mobKillsStat`
    `static StatBase[]` | `objectBreakStats`
    `static StatBase[]` | `objectCraftStats`
    `static java.util.List` | `objectMineStats`
    `static StatBase[]` | `objectUseStats`
    `protected static java.util.Map` | `oneShotStats`
    `static StatBase` | `playerKillsStat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StatBase` | `func_151176_b(EntityList.EntityEggInfo p_151176_0_)`
    `static StatBase` | `func_151177_a(java.lang.String p_151177_0_)`
    `static void` | `func_151178_a()`
    `static StatBase` | `func_151182_a(EntityList.EntityEggInfo p_151182_0_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### oneShotStats

          protected static java.util.Map oneShotStats

    - #### allStats

          public static java.util.List allStats

    - #### generalStats

          public static java.util.List generalStats

    - #### itemStats

          public static java.util.List itemStats

    - #### objectMineStats

          public static java.util.List objectMineStats

    - #### leaveGameStat

          public static StatBase leaveGameStat

    - #### minutesPlayedStat

          public static StatBase minutesPlayedStat

    - #### distanceWalkedStat

          public static StatBase distanceWalkedStat

    - #### distanceSwumStat

          public static StatBase distanceSwumStat

    - #### distanceFallenStat

          public static StatBase distanceFallenStat

    - #### distanceClimbedStat

          public static StatBase distanceClimbedStat

    - #### distanceFlownStat

          public static StatBase distanceFlownStat

    - #### distanceDoveStat

          public static StatBase distanceDoveStat

    - #### distanceByMinecartStat

          public static StatBase distanceByMinecartStat

    - #### distanceByBoatStat

          public static StatBase distanceByBoatStat

    - #### distanceByPigStat

          public static StatBase distanceByPigStat

    - #### field_151185_q

          public static StatBase field_151185_q

    - #### jumpStat

          public static StatBase jumpStat

    - #### dropStat

          public static StatBase dropStat

    - #### damageDealtStat

          public static StatBase damageDealtStat

    - #### damageTakenStat

          public static StatBase damageTakenStat

    - #### deathsStat

          public static StatBase deathsStat

    - #### mobKillsStat

          public static StatBase mobKillsStat

    - #### field_151186_x

          public static StatBase field_151186_x

    - #### playerKillsStat

          public static StatBase playerKillsStat

    - #### fishCaughtStat

          public static StatBase fishCaughtStat

    - #### field_151183_A

          public static StatBase field_151183_A

    - #### field_151184_B

          public static StatBase field_151184_B

    - #### mineBlockStatArray

          public static final StatBase[] mineBlockStatArray

    - #### objectCraftStats

          public static final StatBase[] objectCraftStats

    - #### objectUseStats

          public static final StatBase[] objectUseStats

    - #### objectBreakStats

          public static final StatBase[] objectBreakStats

  - ### Constructor Detail

    - #### StatList

          public StatList()

  - ### Method Detail

    - #### func_151178_a

          public static void func_151178_a()

    - #### func_151182_a

          public static StatBase func_151182_a(EntityList.EntityEggInfo p_151182_0_)

    - #### func_151176_b

          public static StatBase func_151176_b(EntityList.EntityEggInfo p_151176_0_)

    - #### func_151177_a

          public static StatBase func_151177_a(java.lang.String p_151177_0_)